Bug 1613848 - [v2v][RFE] Option for setting concurrent migrations
Summary: [v2v][RFE] Option for setting concurrent migrations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.9.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Brett Thurber
QA Contact: Yadnyawalk Tale
Red Hat CloudForms Documentation
URL:
Whiteboard: v2v
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-08 12:04 UTC by Mor
Modified: 2019-02-07 23:03 UTC (History)
13 users (show)

Fixed In Version: 5.10.0.24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:31 UTC
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)
fixed_proof.png (65.31 KB, image/png)
2018-12-05 12:27 UTC, Yadnyawalk Tale
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:37 UTC

Description Mor 2018-08-08 12:04:36 UTC
Description of problem:
There should be a UI option to set the concurrent migrations per plan while creating the migration plan. The current workaround for this is to run manual procedure in terminal on the CloudForms appliance, as should be documented in the following BZ: https://bugzilla.redhat.com/show_bug.cgi?id=1613048.

Version-Release number of selected component (if applicable):
CFME 5.9.4.2.20180802030318_f91df08

Comment 2 Fabien Dupont 2018-08-08 12:11:28 UTC
IMO, it should not be at the plan level, as the many plans can be run in parallel, hence summing the max concurrent migrations. This should be a limit set at the provider, cluster or host level, as it is today but exposed through the UI, rather than set via command line.

Comment 3 Sudhir Mallamprabhakara 2018-08-08 14:29:27 UTC

*** This bug has been marked as a duplicate of bug 1594196 ***

Comment 4 Daniel Gur 2018-08-08 21:45:30 UTC
Sudhir, I don't think it is a duplicate of "throttling" feature.
As in "throttling" we are talking about automatic balancing of migrations and automatic definition of max allowed migrations according to host availability - 

while this RFE much more simple -RFE we are talking of exposing the Max limit of allowed migrations to the UI instead of having it only the rubi CLI as it is now which is not user friendly.
Please talk to me if any questions.

Comment 5 Brett Thurber 2018-10-30 14:32:39 UTC
Upstream issue:  https://github.com/ManageIQ/manageiq-v2v/issues/747

Comment 6 CFME Bot 2018-11-12 16:10:06 UTC
New commit detected on ManageIQ/manageiq-v2v/hammer:

https://github.com/ManageIQ/manageiq-v2v/commit/36be3599432eefa2eea10fe64628dd7d779e376a
commit 36be3599432eefa2eea10fe64628dd7d779e376a
Author:     Michael Ro <mikerodev@gmail.com>
AuthorDate: Fri Nov  9 10:58:15 2018 -0500
Commit:     Michael Ro <mikerodev@gmail.com>
CommitDate: Fri Nov  9 10:58:15 2018 -0500

    Merge pull request #782 from mturley/776-settings-page

    [#776] Add Migration Settings page with max concurrent migrations per host setting

    (cherry picked from commit acd891245c35df9219ffd10f0de1e4ad41fdd109)

    https://bugzilla.redhat.com/show_bug.cgi?id=1613848

 app/javascript/components/index.js | 6 +
 app/javascript/react/config/config.js | 5 +
 app/javascript/react/screens/App/App.scss | 1 +
 app/javascript/react/screens/App/Settings/Settings.js | 104 +
 app/javascript/react/screens/App/Settings/Settings.scss | 3 +
 app/javascript/react/screens/App/Settings/SettingsActions.js | 44 +
 app/javascript/react/screens/App/Settings/SettingsConstants.js | 3 +
 app/javascript/react/screens/App/Settings/SettingsReducer.js | 76 +
 app/javascript/react/screens/App/Settings/helpers.js | 11 +
 app/javascript/react/screens/App/Settings/index.js | 25 +
 app/javascript/react/screens/App/common/forms/NumberInput.js | 45 +
 app/javascript/redux/reducers/index.js | 2 +
 lib/manageiq/v2v/engine.rb | 3 +-
 package.json | 1 +
 yarn.lock | 4 +
 15 files changed, 332 insertions(+), 1 deletion(-)

Comment 9 Yadnyawalk Tale 2018-12-04 13:27:57 UTC
I can see this is maximum concurrent migrations limit per conversion host but I am curious if it works for both RHV and OSP !? investigating..

Comment 10 Yadnyawalk Tale 2018-12-05 12:27:44 UTC
Created attachment 1511661 [details]
fixed_proof.png

I have checked by setting concurrent migration limit with UI as well as from rail console separately, both works. When I set limit to 2 and run 3 plans with single-single vm, it just start first two and third plan waits in Pre-migration state which is what we have expected. I can also seen transformation/transformationthrottler/watch in automate.log while running through mentioned wait period.

Verified on - 5.10.0.27.20181128170555_43ed8cb

Comment 11 Ilan Zuckerman 2018-12-06 14:49:21 UTC
Hi Fabian, We saw in UI "Maximum concurrent migrations per conversion host" field was added. what about "max transformations per provider" setting (we used to configure it on CFME machine). this command:

$evm.vmdb(:ext_management_system).find_by(:name => "My RHV").custom_set("Max Transformation Runners", 30)

We still need to set it or is it automatically calculated based on setting from the UI (""Maximum concurrent migrations per conversion host"") ?

Comment 12 Fabien Dupont 2018-12-06 15:05:35 UTC
@ilan, you still have to set it. Advanced throttling is pushed to IMS 1.2.

Comment 13 Daniel Gur 2018-12-10 09:36:19 UTC
The RFE requested a UI for setting Limitation for Provider and Host level to eliminate the need in Complex CLI rubi command.
(See also comment 2 from Fabien)

Currently this  only half of this RFE was implemented  -  UI on Host level limitation was added. Provider Limitation should be set from CLI yet.
I suggest reopening this RFE till UO for Provider limitation is added.
Brett?

Comment 14 Yadnyawalk Tale 2018-12-12 10:58:19 UTC
Ilan, good to know that we can also set max transformation per provider too, never heard of that before.
While verifying this issue, we have covered -

1. setting max limit for all host (from UI)
2. setting max limit for single host (from console)

```
res = Host.find_by(name: 'my_rhv_host')
conversion_host = ConversionHost.create(name: res.name, resource: res)
conversion_host.max_concurrent_tasks = 5
conversion_host.save
```

Comment 16 errata-xmlrpc 2019-02-07 23:03:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.